function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { GridComponent } from "echarts/components";
import { GraphChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { graph } from "@xmweb-ui/vue-renderless/chart-graph/index";
import Core from "@xmweb-ui/vue-chart-core";
import { defineComponent, $prefix } from "@xmweb-ui/vue-common";
echarts.use([GridComponent, GraphChart, CanvasRenderer]);
var Graph = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartGraph",
  data: function data() {
    this.chartHandler = graph;
    return {};
  }
}));
var version = "2.8.0";
Graph.install = function(Vue) {
  Vue.component(Graph.name, Graph);
};
Graph.version = version;
export {
  Graph as default
};
